Subject: bug#54591: 29.0.50; sqlite-select returns blob result as multibyte string

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Apr 2022 16:06:18 +0200

But I forgot to say what I think we should do.  :-)

I think we should just leave it to the user, and I think the interface
that makes the most sense is something like

"insert into ... (?)" (... (propertize binary-data 'coding-system 'binary))

and then signal an error if binary-data isn't unibyte when the string
has this property.  And then, conversely, don't decode BLOB columns on
selects.  I think that'll be the most interoperable and convenient we'll
be able to get.

(And, of course, document this mess.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no